Name: licq
Version: 1.0.3
Release: 7
Summary: An ICQ clone for online messaging.
License: GPL
Group: Applications/Communications
URL: http://www.licq.org/
Source: http://www.licq.org/licq-%{version}.tar.bz2
Source1: http://gtk.licq.org/download/gtk+licq-0.50.1.tar.bz2
Patch: licq-conf.diff
Patch1: licq-gtk-compile.patch
Patch2: licq-1.0.3-s390x.patch
Patch3: licq-1.0.3-translations.patch
Patch4: licq-1.0.3-cvsfixes.patch
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildPrereq: libtool, XFree86-devel, libmng-devel
Prefix: /usr
Conflicts: licq-data < 1.6
BuildRequires: qt-devel >= 2.3.0 gtk+-devel >= 1.2.0 gnome-libs-devel >= 1.2.0 pspell-devel >= 0.11 XFree86-devel ncurses-devel
Requires: htmlview

%description
Licq is an ICQ online messaging system clone, written in C++ using the
Qt widget set. Licq supports all of the major features of ICQ,
including messaging, URLs, chat, file transfer, and user information.
Additionally, Licq is very configurable and supports skins and
different icon packs.

%package kde
Summary: KDE frontend for licq.
Provides: licq-frontend
Requires: %{name} = %{version}
Group: Applications/Communications

%description kde
Licq is an ICQ online messaging system clone.
Licq supports all of the major features of ICQ, including messaging, URLs,
chat, file transfer, and user information.

Licq-kde is a KDE frontend for licq.

%{name}-kde is a KDE frontend for licq.
%package gnome
Summary: GNOME frontend for licq.
Provides: licq-frontend
Requires: %{name} = %{version}
Group: Applications/Communications

%description gnome
Licq is an ICQ online messaging system clone.
Licq supports all of the major features of ICQ, including messaging, URLs,
chat, file transfer, and user information.

Licq-gnome is a GNOME frontend for licq.

%{name}-gnome is a GNOME frontend for licq.
%package qt
Summary: Qt frontend for licq.
Provides: licq-frontend
Requires: %{name} = %{version}
Group: Applications/Communications

%description qt
Licq is an ICQ online messaging system clone. Licq supports all of
the major features of ICQ, including messaging, URLs, chat, file
transfer, and user information.

Licq-qt is a graphical frontend for licq, written in Qt.

%{name}-qt is a graphical frontend for licq, written in Qt.
%package text
Summary: Text mode frontend for licq.
Provides: licq-frontend
Requires: %{name} = %{version}
Group: Applications/Communications

%description text
Licq is an ICQ online messaging system clone. Licq supports all of
the major features of ICQ, including messaging, URLs, chat, file
transfer, and user information.

Licq-text is a text mode frontend for licq.

%{name}-text is a text mode frontend for licq.
%prep
%setup -q -T -b 0
find . -type d -name CVS |xargs rm -rf # Don't confuse make
%patch -p1 -b .conf
cd plugins
tar xjf %{SOURCE1}
%patch1 -p0 -b .compile
cd ..
ln -sf . include/licq
%patch2 -p1 -b .s390
%patch3 -p1 -b .trans
# Get in reasonable (ia64-compatible) autoconf stuff...
#cp /usr/share/libtool/config.* .
#for i in plugins/*; do
#  cp /usr/share/libtool/config.* $i
#done
# ugly hack: prevent libtoolize (called by %%configure) from
# messing with us!
make -f Makefile.cvs
#for i in plugins/*; do
#  if [ -e $i/Makefile.cvs ]; then
#    (cd $i ; make -f Makefile.cvs )
#  else
#    (cd $i
#    rm -f acinclude.m4
#    aclocal -I ../qt-gui* || :
#    autoheader
#    automake
#    autoconf)
#  fi
#done
#for i in configure.in plugins/*/configure.in; do
#  [ -e $i ] && mv $i $i.dontuse
#done

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
TOPDIR=`pwd`
%configure
for i in plugins/*; do
  if [ -d $i ]; then
    ( cd $i;
      %configure --with-qt-libraries=${QTDIR}/lib --with-qt-includes=${QTDIR}/include --with-licq-includes=$TOPDIR/include --with-kde
    )
  fi
done
# continued hack to prevent libtoolize from messing up
#for i in configure.in.dontuse plugins/*/configure.in.dontuse; do
#  [ -e $i ] && mv $i `echo $i |sed -e "s,\.dontuse,,g"`
#done
make
#cd plugins/gtk*
#libtoolize --copy --force
#rm libtool
#cd ../..
#ln -f libtool plugins/gtk*
for i in plugins/*; do
  if [ -d $i ]; then
    cd $i
    make CXXFLAGS="$RPM_OPT_FLAGS"
    cd ../..
  fi
done
# Hack: build the Qt GUI plugin again. We need it both with and without KDE
# support.
cd plugins/qt-gui-*
for i in src/licq_qt-gui.la src/.libs/licq_qt-gui.la src/.libs/licq_qt-gui.so; do
	mv $i `echo $i |sed -e "s/qt/kde/g"`
done
rm -f config.cache src/*.lo src/.libs/*.o
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --with-qt-libraries=${QTDIR}/lib --with-qt-includes=${QTDIR}/include --with-licq-includes=$TOPDIR/include
make CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
export KDEDIR=$RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/share/applnk
%makeinstall plugindir="$RPM_BUILD_ROOT%{_prefix}/lib/licq" sharedir="$RPM_BUILD_ROOT%{_prefix}/share/licq" incdir="$RPM_BUILD_ROOT%{_prefix}/include/licq"
for i in plugins/*; do
  if [ -d $i ]; then
    if echo $i |grep qt-gui; then # the Qt GUI Makefiles are BROKEN!
      make -C $i prefix="$RPM_BUILD_ROOT%{_prefix}" sharedir="$RPM_BUILD_ROOT%{_prefix}/share/licq" plugindir="$RPM_BUILD_ROOT%{_prefix}/lib/licq" install
    else
      make -C $i DESTDIR="$RPM_BUILD_ROOT" sharedir="$RPM_BUILD_ROOT/%{_prefix}/share/licq" plugindir="$RPM_BUILD_ROOT%{_prefix}/lib/licq" GTKGUI_DIR="$RPM_BUILD_ROOT%{_prefix}/share/licq/gtk-gui" install
    fi
  fi
done
( cd plugins
  for i in *; do
    if [ -d $i/doc ]; then
      cp -a $i/doc ../doc/$i
    else
      mkdir ../doc/$i
    fi
    cp -f $i/README* ../doc/$i
  done
)
install -c -m755 plugins/qt-gui-*/src/.libs/licq_kde-gui.la $RPM_BUILD_ROOT%{_prefix}/lib/licq
install -c -m755 plugins/qt-gui-*/src/.libs/licq_kde-gui.so $RPM_BUILD_ROOT%{_prefix}/lib/licq

mkdir -p $RPM_BUILD_ROOT/etc/X11
mv $KDEDIR/share/applnk $RPM_BUILD_ROOT/etc/X11
mv $RPM_BUILD_ROOT/usr/bin/licq $RPM_BUILD_ROOT/usr/lib/licq/licq-bin

chmod 0755 $RPM_BUILD_ROOT/usr/share/licq
chmod 0755 $RPM_BUILD_ROOT/usr/share/licq/qt-gui
chmod 0755 $RPM_BUILD_ROOT/usr/share/licq/qt-gui/*

cat >$RPM_BUILD_ROOT/usr/bin/licq <<EOF
#!/bin/sh
PARAMETERS="\$*"
FRONTENDS_TEXT="console"
FRONTENDS_KDE="kde-gui qt-gui console gnome_gui"
FRONTENDS_GNOME="gnome_gui qt-gui console kde-gui"
FRONTENDS_X11="qt-gui console kde-gui gnome_gui"
if ! echo \$PARAMETERS | grep "\-p"; then
	FRONTEND=""
	if [ -z "\$DISPLAY" ]; then
		FRONTENDS=\$FRONTENDS_TEXT
	elif ps auxwww |grep -q kdeinit; then
		FRONTENDS=\$FRONTENDS_KDE
	elif ps auxwww |grep -q gnome-session; then
		FRONTENDS=\$FRONTENDS_GNOME
	else
		FRONTENDS=\$FRONTENDS_X11
	fi
	for i in \$FRONTENDS; do
		if [ -e /usr/lib/licq/licq_\$i.so ]; then
			FRONTEND=\$i
			break
		fi
	done
	if [ -z "\$FRONTENDS" ]; then
		echo "No appropriate frontend plugin found."
		exit 1
	fi
	PARAMETERS="\$PARAMETERS -p \$FRONTEND"
fi
exec /usr/lib/licq/licq-bin \$PARAMETERS
EOF
chmod 0755 $RPM_BUILD_ROOT/usr/bin/licq

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr (-,root,root)
%doc doc/*
%doc upgrade/*
%doc README*
%config /etc/X11/applnk/Internet/*
%attr(755,root,root) /usr/bin/licq
%dir /usr/lib/licq
/usr/lib/licq/licq-bin
/usr/lib/licq/licq_autoreply*
/usr/lib/licq/licq_forwarder*
/usr/lib/licq/licq_rms*
/usr/share/licq

%files qt
%defattr(-,root,root)
/usr/lib/licq/licq_qt-gui*

%files kde
%defattr(-,root,root)
/usr/lib/licq/licq_kde-gui*

%files gnome
%defattr(-,root,root)
/usr/lib/licq/licq_gnome_gui*

%files text
%defattr(-,root,root)
/usr/lib/licq/licq_console*

%changelog
* Tue Aug 14 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.3-7
- Fix build with current libtool (#51570)

* Wed Jul 11 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.3-6
- Fix translations (#48471)

* Wed Jun 27 2001 Than Ngo <than@redhat.com> 1.0.3-5
- add patch to build on s390x
- fix package dependency

* Sun Jun 25 2001 Than Ngo <than@redhat.com> 1.0.3-4
- rebuild in new enviroment
- add Buildprereq
- use %%{_tmppath}

* Mon Apr 30 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.3-2
- Fix path to wav files (Bug #38308)

* Tue Apr 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.3-1
- licq 1.0.3
- licq-gtk+ 0.51.1
- Split the frontends into separate packages. Having one package depending
  on kde, gnome and ncurses is overkill.

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Wed Feb 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix 2 security issues:
  - buffer overrun in log.cpp
  - usage of system() to call up a browser without checking
    the URL (think of URL="' ; rm -rf ~/ ; '")

* Mon Dec 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.0.2

* Thu Oct 12 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.0
- Get rid of the -O0 hack, gcc has been fixed

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix crashes when setting an away message

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use -O0 for compiling the plugins - the current compiler "optimizes"
  some Qt objects to endless loops

* Tue Aug 22 2000 Tim Powers <timp@redhat.com>
- fix location of sounds, translations, and utilities. This was the core of
  the problem in bug #16409 (which is fixed with this)

* Sun Aug  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.85
- gtk plugin 0.39
- fix compilation with gcc 2.96
- Exclude ia64 until the compiler gets fixed

* Mon Jul 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of world-writable files (Bug #14911)
- stop using egcs

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with kernelcc, or we'll get nasty conflicts with different
  libstdc++ versions.

* Mon Jun 19 2000 Karsten Hopp <karsten@redhat.de>
- rebuild with new db

* Sat Jun 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.84b
- fix several bugs
- fix build with gcc 2.96
- fix build without a previously installed copy
- work around compiler bugs on IA64

* Tue Jun  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial build in main distribution
- fix up the gtk+ plugin to work with gcc 2.96
- some hacks to make it work with %%configure
- fix build on ia64

* Sat Jun  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.84a
- work around several compiler breakages
- get rid of wmconfig stuff, move desktop file to /etc/X11/applnk
- disable gtk GUI for now (doesn't compile with 0.84a)

* Tue May 30 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.81
- Qt 2.1.1
- fix up the config patch to deal with the new licq-data layout
- conflict with older licq-data packages; they're no longer usable.
- some random fixes
- add the gtk frontend from gtk.licq.org

* Fri Feb 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.76
- remove %post
- rebuild with Qt 2.1.0-beta1
- enable console plugin, add a script to automatically detect whether or not
  we need to use it.

* Mon Feb  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.3a (some bugfixes)

* Wed Jan 26 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.75.3
- some spec file cleanups

* Sun Jan  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on Alpha

* Sun Jan  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use Qt 2.1.0, the version we're actually shipping

* Wed Nov 17 1999 Tim Powers <timp@redhat.com>
- moved configure portions to %build section, shouldn't be before that
- explicitely use qt-2.0.1 in configure
- rebuilt for Powertools
- export QTDIR

* Fri Nov 12 1999 Graham Roff <graham@licq.org>
- Upgraded to 0.71

* Thu Oct 28 1999 Graham Roff <graham@licq.org>
- fixed requirement to qt 2.0.2

* Mon Oct 25 1999 Graham Roff <graham@licq.org>
- modified for new distribution format
- upgraded to 0.70.1

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- moved changelog to bottom
- using contrib|net spec now
- changed buildroot to /var/tmp
- rebuilt and put into powertools

* Wed Jun 18 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.70f-1]
- Upgraded to licq-0.70f with licq_qt-gui-0.64.1
- Updated URLs
- Added localization files

* Fri Mar 12 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.61-1]
- Fixed Auto Away - Auto N/A problem.

* Tue Mar  9 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.61-1]
- Incorporated numerous small changes inspired
by Graham Roff's (Licq author) version of the spec file

* Mon Feb 22 1999 Alexey Nogin <ayn2@cornell.edu>
[licq-0.60-1]
- Added viewurl-*.sh to /usr/bin/

* Mon Dec 14 1998 Alexey Nogin <ayn2@cornell.edu>
[licq-0.50-alpha-2]
- Updated the URL

* Fri Dec 11 1998 Alexey Nogin <ayn2@cornell.edu>
[licq-0.50-alpha-1]
- Added SPEC file %defattr directive to enable non-root builds
- Changed SPEC file according to RHCN rules.

* Fri Oct 30 1998  Ian Macdonald <ianmacd@xs4all.nl>
- Upgraded to 0.44
